Bug 210513 - stress/delete-property-dfg-inline.js.ftl-no-cjit-small-pool consistently timing out on debug JSC bot
Summary: stress/delete-property-dfg-inline.js.ftl-no-cjit-small-pool consistently timi...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-04-14 13:40 PDT by Ryan Haddad
Modified: 2020-04-16 08:53 PDT (History)
12 users (show)

See Also:


Attachments
Patch (1.06 KB, patch)
2020-04-15 08:13 PDT, Justin Michaud
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2020-04-14 13:40:13 PDT
stress/delete-property-dfg-inline.js.ftl-no-cjit-small-pool is consistently timing out on the debug JSC bot.

As far as I can tell, this has been happening since the test was added with https://trac.webkit.org/changeset/259583/webkit

Example:
https://build.webkit.org/builders/Apple-Catalina-Debug-JSC-Tests/builds/679/steps/jscore-test/logs/stdio

Result history:
https://results.webkit.org/?suite=javascriptcore-tests&test=stress%2Fdelete-property-dfg-inline.js.ftl-no-cjit-small-pool
Comment 1 Radar WebKit Bug Importer 2020-04-14 13:40:52 PDT
<rdar://problem/61788471>
Comment 2 Justin Michaud 2020-04-15 08:13:55 PDT
Created attachment 396537 [details]
Patch
Comment 3 EWS 2020-04-15 13:38:10 PDT
Committed r260148: <https://trac.webkit.org/changeset/260148>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 396537 [details].
Comment 4 Aakash Jain 2020-04-16 08:30:16 PDT
(In reply to EWS from comment #3)
> Committed r260148: <https://trac.webkit.org/changeset/260148>
This seems to have broken armv7 JSC test: stress/check-stack-overflow-before-value-profiling-arguments.js.default
This was also indicated by jsc-armv7 red EWS bubble.
Comment 5 Justin Michaud 2020-04-16 08:53:48 PDT
(In reply to Aakash Jain from comment #4)
> (In reply to EWS from comment #3)
> > Committed r260148: <https://trac.webkit.org/changeset/260148>
> This seems to have broken armv7 JSC test:
> stress/check-stack-overflow-before-value-profiling-arguments.js.default
> This was also indicated by jsc-armv7 red EWS bubble.

This only changes a single unrelated test, so this must be a problem with the bot itself.